Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.documind.cloud/llms.txt

Use this file to discover all available pages before exploring further.

Endpoint

POST https://api.documind.cloud/api/v1/generate-dynamic-schema/

Authentication

Requires a valid API key.

Request Body

FieldTypeRequiredDescription
schema_namestringYesShort name for the schema
schema_descriptionstringYesNatural-language description of fields to extract

Response

{
  "named_entities": {
    "invoice_number": {
      "type": "string",
      "description": "Invoice identifier"
    }
  },
  "required": ["invoice_number"]
}

Example

response = requests.post(
    "https://api.documind.cloud/api/v1/generate-dynamic-schema/",
    headers={"X-API-Key": API_KEY},
    json={
        "schema_name": "invoice",
        "schema_description": "Extract invoice number, vendor, issue date, and total amount"
    }
)

schema = response.json()